	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "graph6")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", 25.00)
	call psetc("subpage_x_date_max", "2012-03-07 12:00:00")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 75.00)
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_date_min", "2012-03-01 12:00:00")

	call psetr("axis_tick_label_height", 0.40)
	call psetc("axis_orientation", "vertical")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_tick_label_colour", "navy")
	call psetc("axis_type", "regular")
	call psetc("axis_grid", "on")
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetc("axis_orientation", "horizontal")
	call pseti("axis_grid_thickness", 1)
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetc("axis_grid", "on")
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.50)
	call psetc("axis_grid_line_style", "dot")
	call psetc("axis_minor_tick", "on")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetc("input_x_type", "date")
	call pset1r("input_y_component_values", (/20.00, 0.00, -20.00/), 3)
	call pset1c("input_date_x_values", (/"2012-03-02 00:00:00", "2012-03-03 12:00:00", "2012-03-05 00:00:00"/), 3)
	call pset1r("input_x_component_values", (/0.00, 20.00, -20.00/), 3)
	call pset1r("input_y_values", (/35.00, 45.00, 55.00/), 3)
	call pinput

	call psetc("graph_type", "flag")
	call psetc("graph_flag_colour", "pink")
	call psetc("legend", "on")
	call psetr("graph_flag_length", 2.00)
	call psetc("legend_user_text", "<font colour='pink' size='0.5'> Flags </font>")
	call pgraph

	call pset1c("text_lines", (/"Plotting flags ..."/), 1)
	call psetr("text_font_size", 1.00)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
